package synccfg

import (
	a "github.com/karincake/apem"
	lo "github.com/karincake/apem/loggero"
)

func SetConfig() {
	a.ParseSingleCfg(&O)

	if O.NewSecretKey == "" || O.NewHost == "" || O.OldSecretKey == "" || O.OldHost == "" {
		panic("secret key and host of the sync partner config can not be empty")
	}
	lo.I.Println("sync partner config loaded, status: DONE!!")
}
